Bug 2940

Summary: Netscape-4.51 (and also Netscape-4.6) spawns unneeded browsers.
Product: [Retired] Red Hat Linux Reporter: Hardy Mayer <mmayer>
Component: netscapeAssignee: David Lawrence <dkl>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: mmayer
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-05-24 14:12:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Hardy Mayer 1999-05-20 18:03:23 UTC
This seems true of other Unix versions too (I tested in
under HP-UX).
For Example, when you invoke Help -> Help contents, ns-4.51
spawns another browser (not a window!), you get the warning
about the lock file, and the choice ...
But after that Help does not appear.

Happens with other URL-s too.
In addition netscape-4.6 locks up Gnome, and forces an
Ctr-Alt-Backspace exit, messing up the whole setup!

Comment 1 Bill Nottingham 1999-05-21 03:48:59 UTC
exactly how does netscape 4.6 (which we haven't shipped, btw... :) )
lock up gnome?

Comment 2 Bill Nottingham 1999-05-21 04:00:59 UTC
I can't reproduce the problem here. Opening help opens a large
javascript window; clicking on contents or index opens the appropriate
frame in this window, without spawning a new netscape.

------- Email Received From  "Meinhard E. Mayer" <hardy.uci.edu> 05/21/99 01:56 -------


------- Email Received From  "Meinhard E. Mayer" <hardy.uci.edu> 05/21/99 02:56 -------


------- Email Received From  "Meinhard E. Mayer" <hardy.uci.edu> 05/21/99 16:54 -------


------- Email Received From  "Meinhard E. Mayer" <hardy.uci.edu> 05/23/99 18:41 -------

Comment 3 Hardy MAyer 1999-05-23 23:10:59 UTC
Problem solved:  my old .mailcap file contained entries which were
incompatible with netscape > 4.5 (I am using 4.6 now).
I rebuilt it and this self-inflicted bug went away.
Sorry for the bother, and thanks to notting  for
confirming that this does not happen to others.

Comment 4 Bill Nottingham 1999-05-24 14:12:59 UTC
No problem.